Subject: [bess] Fwd: Re: Request for Assignment of EVPN Route Types

From: Thomas Morin <[email-masked]>
Date: Tue, 31 Jan 2017 11:41:25 +0100

Subject: RE: Request for Assignment of EVPN Route Types
From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
To: "EXT - [email-masked]" <[email-masked]>, "Martin Vigoureux" <[email-masked]>
Cc: "Rabadan, Jorge (Nokia - US)" <[email-masked]>
Date: Tue, 31 Jan 2017 00:26:00 +0000

Hi Thomas, Martin,

Ali’s request to IANA also included three route types defined in https://tools.ietf.org/html/draft-ietf-bess-evpn-bum-procedure-updates-01:

         + 9  - Per-Region I-PMSI A-D route
         + 10 - S-PMSI A-D route
         + 11 - Leaf A-D route

This is in collaboration with authors of other EVPN drafts that involve EVPN route types. We believe it satisfies the following requirement:

   c.  The specifications of these code points must be stable; i.e., if

       there is a change, implementations based on the earlier and later

       specifications must be seamlessly interoperable.

We would like to proceed with an early allocation request.

Thanks.
Jeffrey

On 1/18/17, 6:27 AM, "Thomas Morin" <[email-masked]<mailto:[email-masked]>> wrote:

Hi John,

Thanks for the extra information.

Just to make sure: do we have a common understanding that we need to follow RFC7120 for EVPN route types (section 3.1) ?

Assuming so, the first step for asking for early allocation would be (separately for each of these drafts) an email from an author/editor to us chairs asking for the early allocation (see item 1 in section 3.1 of RFC7120), and providing rationale that items (c) of section 2 are met (what you just did for type 5 is the info we need).  The answer by chairs or ADs for each of the three drafts may end up being different ; i particular because they are not at the same stage in the process (e.g. draft-sajassi-bess-evpn-igmp-mld-proxy is not even yet a WG document).

Thanks,

-Thomas

2017-01-18, John E Drake:
Thomas,

The email from Ali to IANA is below (I understand that he subsequently amended it to include RT-5).  Route types 6, 7, and 8 are defined in:  https://tools.ietf.org/html/draft-sajassi-bess-evpn-igmp-mld-proxy-01.

Cisco, Juniper, and Nokia have had interoperable implementations of the RT-5 draft for several years, and all three are currently working on implementations of the IGMP Proxy draft mentioned above.

Yours Irrespectively,

John

From: Ali Sajassi (sajassi) [mailto:[email-masked]]
Sent: Wednesday, November 9, 2016 2:04 PM
To: [email-masked]<mailto:[email-masked]>
Cc: John E Drake <[email-masked]><mailto:[email-masked]>; Ali Sajassi (sajassi) <[email-masked]><mailto:[email-masked]>
Subject: Request for Assignment of EVPN Route Types

Contact Name:
Ali Sajassi

Contact Email:
[email-masked]<mailto:[email-masked]>

Type of Assignment:
EVPN Route Types

Registry:
EVPN Route Types
http://www.iana.org/assignments/evpn/evpn.xhtml#route-types

0x06 - Selective Multicast Ethernet Tag Route
0x07 - IGMP Join Synch Route
0x08 - IGMP Leave Synch Route
0x09 - Per-Region I-PMSI A-D route
0x0A - S-PMSI A-D route
0X0B - Leaf A-D route

Description:
These EVPN route types are defined in the following EVPN drafts and some of these drafts are being implemented and thus the immediate need for allocation of these code points for the purpose of interoperability:

https://tools.ietf.org/html/draft-sajassi-bess-evpn-igmp-mld-proxy-01
https://www.ietf.org/id/draft-ietf-bess-evpn-bum-procedure-updates-00.txt

Additional Info:
Please refer to the above drafts.

Regards,
Ali